Hooks:PostHook( WeaponFactoryTweakData, "init", "GhostRingSightMarksmanModInit", function(self)
	self.parts.wpn_upg_o_marksmansight_rear.stance_mod = {
		wpn_fps_pis_deagle = {
			translation = Vector3(-0.015, 0, -0.125)
		},
		wpn_fps_pis_1911 = {
			translation = Vector3(0.01, 0, 0)
		},
		wpn_fps_pis_beretta = {
			translation = Vector3(0.001, 0, -0.125),
			rotation = Rotation(0, -0.35, 0)
		}
	}
	self.parts.wpn_upg_o_marksmansight_rear_vanilla.stance_mod = {
		wpn_fps_shot_saiga = {
			translation = Vector3(0.04, -1, -0.175),
			rotation = Rotation(0, -0.05, 0)
		},
		wpn_fps_ass_aug = {
			translation = Vector3(-0.03, 1, -0.015),
			rotation = Rotation(0, 0.075, 0)
		},
		wpn_fps_smg_p90 = {
			translation = Vector3(-0.02, -1, -0.300),
			rotation = Rotation(0, 0.125, 0)
		},
		wpn_fps_sho_striker = {
			translation = Vector3(-0.022, 0, 0.025)
		}
	}
end )